Bug 1384333 - swift complaining about missing native libraries
Summary: swift complaining about missing native libraries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: liberasurecode
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Pete Zaitcev
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-13 06:48 UTC by Attila Fazekas
Modified: 2016-12-14 16:18 UTC (History)
10 users (show)

Fixed In Version: liberasurecode-1.2.0-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:18:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Attila Fazekas 2016-10-13 06:48:51 UTC
Description of problem:
systemctl status '*swift*'
● openstack-swift-account-reaper.service - OpenStack Object Storage (swift) - Account Reaper
   Loaded: loaded (/usr/lib/systemd/system/openstack-swift-account-reaper.service; enabled; vendor preset: disabled)
   Active: active (running) since Thu 2016-10-13 02:02:56 EDT; 37min ago
 Main PID: 19543 (swift-account-r)
   CGroup: /system.slice/openstack-swift-account-reaper.service
           └─19543 /usr/bin/python2 /usr/bin/swift-account-reaper /etc/swift/account-server.conf

Oct 13 02:02:56 am0zlaaio-1 systemd[1]: Started OpenStack Object Storage (swift) - Account Reaper.
Oct 13 02:02:56 am0zlaaio-1 systemd[1]: Starting OpenStack Object Storage (swift) - Account Reaper...
Oct 13 02:02:57 am0zlaaio-1 liberasurecode[19543]: liberasurecode_backend_open: dynamic linking error libJerasure.so.2: cannot open shared object file: No such file or directory
Oct 13 02:02:57 am0zlaaio-1 liberasurecode[19543]: liberasurecode_backend_open: dynamic linking error libJerasure.so.2: cannot open shared object file: No such file or directory
Oct 13 02:02:57 am0zlaaio-1 liberasurecode[19543]: liberasurecode_backend_open: dynamic linking error libisal.so.2: cannot open shared object file: No such file or directory
Oct 13 02:02:57 am0zlaaio-1 liberasurecode[19543]: liberasurecode_backend_open: dynamic linking error libshss.so.1: cannot open shared object file: No such file or directory
Oct 13 02:05:37 am0zlaaio-1 account-server[19543]: Devices pass completed: 0.22s


Version-Release number of selected component (if applicable):
openstack-swift-object-2.10.1-0.20160929005314.3349016.el7ost.noarch
python-swiftclient-3.1.0-1.el7ost.noarch
openstack-swift-account-2.10.1-0.20160929005314.3349016.el7ost.noarch
openstack-swift-container-2.10.1-0.20160929005314.3349016.el7ost.noarch
python-swift-2.10.1-0.20160929005314.3349016.el7ost.noarch
puppet-swift-9.4.0-1.el7ost.noarch
openstack-swift-proxy-2.10.1-0.20160929005314.3349016.el7ost.noarch


It is a scary red warning.

Comment 2 Pete Zaitcev 2016-11-01 20:05:34 UTC
Can I get output of
rpm -q python-pyeclib liberasurecode
?

See also bug 1380824, which is supposed to address this exact senseless
warning.

Comment 8 Attila Fazekas 2016-11-22 09:24:35 UTC
I guess the question in #2 is not relevant anymore,
if you really need I can find you a full pkg list what we had around reporting time.

now I have.:
rpm -q python-pyeclib liberasurecode
python-pyeclib-1.3.1-1.el7ost.x86_64
liberasurecode-1.2.0-2.el7ost.x86_64

and it is not red.

Comment 10 errata-xmlrpc 2016-12-14 16:18:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.